Table of Contents

## Name

XtAddInput, XtAddTimeout - register input, timeout, and workprocs

## Syntax

XtInputId XtAddInput(source, condition, proc, client_data)
int source;
XtPointer condition;
XtInputCallbackProc proc;
XtPointer client_data;

XtIntervalId XtAddTimeout(interval, proc, client_data)
unsigned long interval;
XtInputCallbackProc proc;
XtPointer client_data;

XtWorkProcId XtAddWorkProc(proc, client_data)
XtWorkProc proc;
XtPointer client_data;

## Arguments

client_data
  Specifies the argument that is to be passed to the specified procedure when input is available
condition
  Specifies the mask that indicates a read, write, or exception condition or some operating system dependent condition.
proc
  Specifies the procedure that is to be called when input is available.
source
  Specifies the source file descriptor on a UNIX-based system or other operating system dependent device specification.

## Description

XtAddInput has been replaced by XtAppAddInput.

XtAddTimeout has been replaced by XtAppAddTimeout.

XtAddWorkProc has been replaced by XtAppAddWorkProc.

## See Also

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also